Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.cellview.client
Class DefaultCellTableBuilder<T>

    java.lang.Object
      com.google.gwt.user.cellview.client.AbstractCellTableBuilder<T>
          com.google.gwt.user.cellview.client.DefaultCellTableBuilder<T>

Type Parameters:
  `T` - the data type of the rows.

All Implemented Interfaces:
  CellTableBuilder<T>

    public class DefaultCellTableBuilder<T>

extends AbstractCellTableBuilder<T>

Default cell table builder that renders row values into a grid of columns.

Field Summary

Fields inherited from class com.google.gwt.user.cellview.client.AbstractCellTableBuilder
`cellTable`

Constructor Summary
`DefaultCellTableBuilder(AbstractCellTable<T> cellTable)`

Method Summary
`void` | `buildRowImpl(T rowValue, int absRowIndex)` Build zero or more table rows for the specified row value.

Methods inherited from class com.google.gwt.user.cellview.client.AbstractCellTableBuilder
`addRowAttributes, buildRow, createContext, finish, getColumn, getColumns, getRowValueIndex, getSubrowValueIndex, isColumn, renderCell, start, startRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCellTableBuilder

    public DefaultCellTableBuilder(AbstractCellTable<T> cellTable)

Method Detail

### buildRowImpl

    public void buildRowImpl(T rowValue,
                             int absRowIndex)

  Description copied from class: `AbstractCellTableBuilder`
  Build zero or more table rows for the specified row value.

  Specified by:
    `buildRowImpl` in class `AbstractCellTableBuilder<T>`
  Parameters:
    `rowValue` - the value for the row to render
    `absRowIndex` - the absolute row index

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD